summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohan Bergström (jbergstroem) <bugs@bergstroem.nu>2010-04-28 09:11:19 +0000
committerJohan Bergström (jbergstroem) <bugs@bergstroem.nu>2010-04-28 09:11:19 +0000
commita136c5a8ce0663ceddbe891f5162d0f27e2dbaaa (patch)
treefefedddf703dcfafd192e7d248f847e94c7b6688 /dev-python/pymongo/pymongo-1.6.ebuild
parentdev-embedded/palm-novacom: New Ebuild for bug 278769 (diff)
downloadsunrise-a136c5a8ce0663ceddbe891f5162d0f27e2dbaaa.tar.gz
sunrise-a136c5a8ce0663ceddbe891f5162d0f27e2dbaaa.tar.bz2
sunrise-a136c5a8ce0663ceddbe891f5162d0f27e2dbaaa.zip
dev-python/pymongo: Version bump
svn path=/sunrise/; revision=10493
Diffstat (limited to 'dev-python/pymongo/pymongo-1.6.ebuild')
-rw-r--r--dev-python/pymongo/pymongo-1.6.ebuild46
1 files changed, 46 insertions, 0 deletions
diff --git a/dev-python/pymongo/pymongo-1.6.ebuild b/dev-python/pymongo/pymongo-1.6.ebuild
new file mode 100644
index 000000000..ee76449ed
--- /dev/null
+++ b/dev-python/pymongo/pymongo-1.6.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+PYTHON_DEPEND="2"
+SUPPORT_PYTHON_ABIS="1"
+DISTUTILS_SRC_TEST="nosetests"
+
+inherit distutils
+
+DESCRIPTION="Python driver for MongoDB"
+HOMEPAGE="http://github.com/mongodb/mongo-python-driver"
+SRC_URI="http://pypi.python.org/packages/source/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND="|| ( >=dev-lang/python-2.5
+ ( =dev-lang/python-2.4* >=dev-python/celementtree-1.0.5 ) )"
+DEPEND="${RDEPEND}
+ dev-python/setuptools
+ doc? ( dev-python/sphinx )
+ test? ( dev-python/nose
+ dev-db/mongodb )"
+
+RESTRICT_PYTHON_ABIS="3.*"
+
+src_compile() {
+ distutils_src_compile
+
+ if use doc; then
+ mkdir html
+ sphinx-build doc html || die "building docs failed"
+ fi
+}
+
+src_install() {
+ distutils_src_install
+
+ if use doc; then
+ dohtml -r html/* || die "Error installing docs"
+ fi
+}